function Treal = complextorealfun(T,parameters)
%B = complextorealfun(Avec,parameters)
%   Given a vector Avec that is the mapping of a matrix A_{mn} satisfying
%   the symmetry requirement A_{mn} = conj(A_{m0-m,n}), complextorealfun
%   computes the corresponding vector B of real-valued entries defined in
%   the function header of convind_v2.m

realtocomplex = parameters.realindex.realtocomplex;
realflag = parameters.realindex.realflag;

Treal = realflag.*real(T(realtocomplex)) + (1-realflag).*imag(T(realtocomplex));

end

