function fout = normT(T,parameters)
%fout = normT(T,parameters)
%Computes L_2 norm of T as
%   fout = sqrt(a/2)*norm(T)
%where a is the domain length as defined in the parameters structure as
%field a. The expression fout gives the standard L_2 norm of the function
%constructed from the entries of the vector T as Fourier components, as
%explained in convection_timestep_v2, by Parseval's theorem

a = parameters.a;
fout = sqrt(a/2)*norm(T);

end

