function Tout = realtocomplexfun(c0,parameters)
%Avec = realtorealfun(V,parameters)
%   Given a vector Avec that is the mapping of a matrix A_{mn} satisfying
%   the symmetry requirement A_{mn} = conj(A_{m0-m,n}), let B be the vector
%   computed from Avec by complextorealfun.m. realtocomplexfun recovers
%   Avec from B.



nx = parameters.nx;
ny = parameters.ny;
realtocomplex = parameters.realindex.realtocomplex;
realflag = parameters.realindex.realflag;
symmindex = parameters.symmindex;

Taux = accumarray(realtocomplex,realflag.*c0+1i*(1-realflag).*c0,[nx*ny,1],[],0);
Tout = 0.5*(Taux + conj(Taux(symmindex)));

end

