function Fconv = spconv(F,convindex,sign)
%Fconv = spconv(F,convindex,sign)
%Assembles the sparse matrix
% 0.5*sparse(convindex.Ix,convindex.Iy,F(convindex.Iind),ntot,ntot) ...
%    + 0.5*sign*sparse(convindex.Jx,convindex.Jy,F(convindex.Jind),ntot,ntot)...
%    - 05*sign*sparse(convindex.Kx,convindex.Ky,D(convindex.Kind),ntot,ntot);
%from inputs F, convindex and sign, where convindex must have the fields
%specified in the formula as well as fields nx and ny; ntot = nx*ny. The
%convindex structure for which this code is inteded is output by convind_v2
%
%Note that spconv(A,convindex,sign)*B = spconv(B,convindex,-sign)*A, which
%makes differentiation of convolution products simple since
%   d/dT spconv(A,convindex,sign)*B = spconv(A,convindex,sign)*dB/dT ...
%           + spconv(B,convindex,-sign)*dA/dt

ntot = convindex.nx*convindex.ny;

%debug
%Fconv = sparse(ntot,ntot);
%return

Fconv = 0.5*( sparse(convindex.Ix,convindex.Iy,F(convindex.Iind),ntot,ntot) ...
    + sign*sparse(convindex.Jx,convindex.Jy,F(convindex.Jind),ntot,ntot)...
    - sign*sparse(convindex.Kx,convindex.Ky,F(convindex.Kind),ntot,ntot) );

end

