function [absT,Nu,Ra] = steady_process(fin,parameters)
%[absT,Nu] = steady_process(fin,parameters)
%   Post-processes steady state solutions computed by arc length
%   continuation using convection_steady_Ra_real

nsol = length(fin(1,:));
Ra = zeros(nsol,1);
absT = zeros(nsol,1);
Nu = zeros(nsol,1);
for ii=1:nsol
    T = fin(1:end-1,ii);
    Ra(ii) = fin(end,ii);
    T_complex = realtocomplexfun(T,parameters);
    absT(ii) = normT(T_complex,parameters);
    Nu(ii) = Nusselt(T_complex,parameters);
end

%sort results
[Ra,I] = sort(Ra);
absT = absT(I);
Nu = Nu(I);

end

